OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.PGI.MiscHints

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetPGIMiscHints :: MonadIO m => m Bool
- gl_PGI_misc_hints :: Bool
- pattern GL_ALLOW_DRAW_FRG_HINT_PGI :: GLenum
- pattern GL_ALLOW_DRAW_MEM_HINT_PGI :: GLenum
- pattern GL_ALLOW_DRAW_OBJ_HINT_PGI :: GLenum
- pattern GL_ALLOW_DRAW_WIN_HINT_PGI :: GLenum
- pattern GL_ALWAYS_FAST_HINT_PGI :: GLenum
- pattern GL_ALWAYS_SOFT_HINT_PGI :: GLenum
- pattern GL_BACK_NORMALS_HINT_PGI :: GLenum
- pattern GL_CLIP_FAR_HINT_PGI :: GLenum
- pattern GL_CLIP_NEAR_HINT_PGI :: GLenum
- pattern GL_CONSERVE_MEMORY_HINT_PGI :: GLenum
- pattern GL_FULL_STIPPLE_HINT_PGI :: GLenum
- pattern GL_NATIVE_GRAPHICS_BEGIN_HINT_PGI :: GLenum
- pattern GL_NATIVE_GRAPHICS_END_HINT_PGI :: GLenum
- pattern GL_NATIVE_GRAPHICS_HANDLE_PGI :: GLenum
- pattern GL_PREFER_DOUBLEBUFFER_HINT_PGI :: GLenum
- pattern GL_RECLAIM_MEMORY_HINT_PGI :: GLenum
- pattern GL_STRICT_DEPTHFUNC_HINT_PGI :: GLenum
- pattern GL_STRICT_LIGHTING_HINT_PGI :: GLenum
- pattern GL_STRICT_SCISSOR_HINT_PGI :: GLenum
- pattern GL_WIDE_LINE_HINT_PGI :: GLenum
- glHintPGI :: MonadIO m => GLenum -> GLint -> m ()

# Extension Support

glGetPGIMiscHints :: MonadIO m => m Bool Source #

Is the PGI_misc_hints extension supported?

gl_PGI_misc_hints :: Bool Source #

Is the PGI_misc_hints extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetPGIMiscHints` in those cases instead.

# Enums

pattern GL_ALLOW_DRAW_FRG_HINT_PGI :: GLenum Source #

pattern GL_ALLOW_DRAW_MEM_HINT_PGI :: GLenum Source #

pattern GL_ALLOW_DRAW_OBJ_HINT_PGI :: GLenum Source #

pattern GL_ALLOW_DRAW_WIN_HINT_PGI :: GLenum Source #

pattern GL_ALWAYS_FAST_HINT_PGI :: GLenum Source #

pattern GL_ALWAYS_SOFT_HINT_PGI :: GLenum Source #

pattern GL_BACK_NORMALS_HINT_PGI :: GLenum Source #

pattern GL_CLIP_FAR_HINT_PGI :: GLenum Source #

pattern GL_CLIP_NEAR_HINT_PGI :: GLenum Source #

pattern GL_CONSERVE_MEMORY_HINT_PGI :: GLenum Source #

pattern GL_FULL_STIPPLE_HINT_PGI :: GLenum Source #

pattern GL_NATIVE_GRAPHICS_BEGIN_HINT_PGI :: GLenum Source #

pattern GL_NATIVE_GRAPHICS_END_HINT_PGI :: GLenum Source #

pattern GL_NATIVE_GRAPHICS_HANDLE_PGI :: GLenum Source #

pattern GL_PREFER_DOUBLEBUFFER_HINT_PGI :: GLenum Source #

pattern GL_RECLAIM_MEMORY_HINT_PGI :: GLenum Source #

pattern GL_STRICT_DEPTHFUNC_HINT_PGI :: GLenum Source #

pattern GL_STRICT_LIGHTING_HINT_PGI :: GLenum Source #

pattern GL_STRICT_SCISSOR_HINT_PGI :: GLenum Source #

pattern GL_WIDE_LINE_HINT_PGI :: GLenum Source #

# Functions

glHintPGI Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type HintTargetPGI.
-> GLint | `mode`.
-> m () |